Skip to main content

Social Welfare Disbursements in Pakistan

Value of social welfare disbursements distributed via mobile-money channels.

GET/3.0/alternate/social-welfare-disbursements

Request​

Authentication​

  • Type: Bearer Token
  • Required: Yes

Parameters​

This endpoint does not accept any query parameters.

Response​

Success Response (200)​

{
"status":"ok",
"message": "",
"data":[
{
"period": "Nov 2024",
"swps": [
{
"key": "bisp",
"value": 12345678,
},
{
"key": "eobi",
"value": 23456789
},
{
"key": "bait-ul-maal",
"value": 45678901
},
{
"key": "zakat_&_ushr",
"value": 56789012
},
{
"key": "others",
"value": 34567890
}
]
},
]
}

Response Fields​

FieldTypeDescription
periodstringPeriod of the data point (e.g., "Nov 2024")
swpsarrayList of social welfare programs with their disbursement values View

SWPs Object​

FieldTypeDescription
keystringSocial welfare disbursement program key (e.g., "bisp", "eobi", "bait-ul-maal", "zakat_&_ushr", "others")
valueintegerDisbursement value in local currency (e.g., 12345678)

Error Responses​

For detailed Common Error responses, see the Error Handling.

Examples​

GET Social Welfare Disbursements in Pakistan​

curl -X GET "https://csapis.com/3.0/alternate/social-welfare-disbursements" -H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases​

  • Data analysis
  • Dashboard / metrics